Bug 731936 - Keyboard not functional in KDM when connecting to remote computer with ALT-R (or switch to local login with ALT-L)
Summary: Keyboard not functional in KDM when connecting to remote computer with ALT-R ...
Keywords:
Status: CLOSED DUPLICATE of bug 631767
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-workspace
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 631767
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-19 07:07 UTC by Dr. Tilmann Bubeck
Modified: 2014-06-23 11:42 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-23 11:42:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 280422 None None None Never

Description Dr. Tilmann Bubeck 2011-08-19 07:07:42 UTC
Description of problem:

If you run KDM and switch with "Menu" to the "Remote login" (or pressing ALT-R) then you should be able to enter a computer name into the text field. But the keyboard is not working at all. This is not a focus problem. If you switch back to "Local Login" (or pressing ALT-L) then you are not able to enter a password or username. Keyboard is now "broken".

The same is true if you boot KDM with LoginMode=DefaultRemote in /etc/kde/kdm/kdmrc and switch to "local login" with ALt-L in KDM. No keyboard is working to enter username or password. Clicking into the username or password field will not allow keyboard either. 

Version-Release number of selected component (if applicable):
kdm-4.6.5-2.fc15.i686

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora
2. Enter DISPLAYMANAGER=KDE into /etc/sysconfig/desktop
3. reboot
4. Press ALT-R in KDM for remote login
   Press ALT-L in KDM for local login
5. No way to enter username or password into fields.
  
Actual results:
No way to enter username or password

Expected results:
Ability to enter it.


Additional info:

Comment 1 Rex Dieter 2011-08-19 12:34:02 UTC
Sounds like a variant of bug #631767 (for all that is holy, I wish upstream could acknowledge or reproduce the problem :( )

*** This bug has been marked as a duplicate of bug 631767 ***

Comment 2 Dr. Tilmann Bubeck 2011-08-19 12:57:27 UTC
I checked bug #631767 but I dont think that it is a duplicate. The problem described there is, that an advertised keyboard shortcut is not working.

The problem described here, is that switching between modes results in a total loss of keyboard. NO keys are working after switching in NO text field or window. Especially login is impossible, if you can not enter your name or password.

I think the problem here is far more critical, because login is impossible at all.

Re-opening. If you still think its duplicate, then please close again. I will then not re-open again.

Comment 3 Rex Dieter 2011-08-19 13:01:53 UTC
The other bug was about lack of focus, so does clicking anywhere help?

Comment 4 Rex Dieter 2011-08-19 13:02:56 UTC
Regardless, I think the bugs are related to the same core issue(s), but ok. :)

Comment 5 Dr. Tilmann Bubeck 2011-08-19 13:06:17 UTC
(In reply to comment #3)
> The other bug was about lack of focus, so does clicking anywhere help?

No, clicking does not help. Even returning to LocalLogin did not fix the keyboard. It stays unusable.

Comment 6 Rex Dieter 2011-08-19 13:14:28 UTC
OK, please do file upstream @ bugs.kde.org if possible.

I'll get around to it myself when I get a chance to test for reproducibility.

Comment 7 Rex Dieter 2012-01-31 13:19:23 UTC
confirmed, same issue, marking as dup

*** This bug has been marked as a duplicate of bug 631767 ***

Comment 8 Dr. Tilmann Bubeck 2012-10-17 12:18:11 UTC
No, it is not a duplicate of bug #631797 because I confirmed that bug #631797 is fixed, but the issue here is still buggy. Reopening.

Comment 9 Dr. Tilmann Bubeck 2012-10-17 12:19:31 UTC
Sorry, I meant a duplicate of bug #631767 as stated in comment #7 and not bug #631797 as I wrote in comment #8.

Comment 10 Rex Dieter 2012-10-17 12:53:47 UTC
Just reopened bug #631767 , it's not fixed.   I still think this is a dup, but we can keep both open if it makes you feel better (I'll mark it "depends on" so at least they're linked)

Comment 11 Fedora End Of Life 2013-07-04 06:33:54 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Lukáš Tinkl 2013-07-04 10:55:24 UTC
Still happening in F19?

Comment 13 Martin Bříza 2013-07-04 12:10:24 UTC
Still valid.

Comment 14 wintonian 2013-07-11 19:43:47 UTC
Yes still seems to be bugged in F19

The way I found it was:

menu -> remote login -> select local login from drop down in dialogue that appears to return -> keyboard does not produce output into password field

Workaround
----------
Menu -> Restart X server -> keyboard now produces output into password field - however returning to remote login will return you back to square 1.

Works for me at least.

Comment 15 wintonian 2014-06-20 22:19:34 UTC
Prehaps a bit late given KDM's demise in F21 (pushed back from F20) but it now works for me in F20.

Comment 16 Rex Dieter 2014-06-23 11:42:24 UTC
Yes, that was bug #631767 as referenced in comment #10 (re'duping)

*** This bug has been marked as a duplicate of bug 631767 ***


Note You need to log in before you can comment on or make changes to this bug.